# [TSM.ID].[11031972] -- All Rights Reserved. Proprietary & Confidential.
[package]
name = "xcu-crypto"
version = "0.1.0"
edition = "2021"
description = "XCU Zero-Knowledge Shield (End-to-End Encryption)"

[dependencies]
aes-gcm = "0.10"
rand = "0.8"
pqcrypto-kyber = { version = "0.8.0", optional = true }
pqcrypto-traits = { version = "0.3.5", optional = true }
chacha20poly1305 = "0.10.1"

[features]
default = ["post-quantum"]
post-quantum = ["pqcrypto-kyber", "pqcrypto-traits"]
